using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace CheckRestore
{
    public partial class Form1 : Form
    {

        MemoryStream savedStream = new MemoryStream();
        public Form1()
        {
            InitializeComponent();
        }

        private void btnSaveDefs_Click(object sender, EventArgs e)
        {
            savedStream = new MemoryStream();
            ultraGrid1.DisplayLayout.Save(savedStream, PropertyCategories.Bands);
        }

        private void btnLoadDefs_Click(object sender, EventArgs e)
        {
            savedStream.Seek(0, 0);
            ultraGrid1.DisplayLayout.Load(savedStream, PropertyCategories.Bands);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            List<Item> ls = new List<Item>();
            ls.Add(new Item(0));
            ls.Add(new Item(1));
            ultraGrid1.DataSource = ls;

        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            UltraGridBand band = e.Layout.Bands[0];
            Infragistics.Win.Appearance appearanceRed = new Infragistics.Win.Appearance();
            appearanceRed.ForeColor = Color.Red;

            OperatorCondition conditionRed = new OperatorCondition(ConditionOperator.LessThanOrEqualTo, 0);
            ConditionValueAppearance valAppearanceAvailable = new ConditionValueAppearance();
            valAppearanceAvailable.Add(conditionRed, appearanceRed);
            band.Columns["Num"].ValueBasedAppearance = valAppearanceAvailable;

        }
    }
    public class Item
    {
        public Item(int num)
        {
            mNum = num;
        }
        private int mNum;

        public int Num
        {
            get { return mNum; }
            set { mNum = value; }
        }

    }
}